require 'slim'

module Generic
  module Templates
    module Helpers

      def render(template, locals = {}, options = {}, &block)
        default_path = "./views/#{template}"
        Slim::Template.new(default_path, options).render(self, locals, &block)
      end
    end

    def self.check(generic)
      generic.library Helpers
    end

  end
end
